<?php
/**
 * The control file of report module of ZenTaoPMS.
 *
 * @copyright   Copyright 2009-2022 青岛易软天创网络科技有限公司 (QingDao Nature Easy Soft Network Technology Co,LTD www.cnezsoft.com)
 * @license     business(商业软件)
 * @author      Qiyu Xie <xieqiyu@easycorp.ltd>
 * @package     report
 * @version     $Id$
 * @link        https://www.zentao.net
 */
helper::importControl('report');
class myReport extends report
{
    /**
     * Update usage report.
     *
     * @param  string $type
     * @param  string $needBack
     * @access public
     * @return void
     */
    public function updateUsageReport($type = 'thisMonth', $needBack = 'no')
    {
        $today = helper::today();
        list($year, $month, $day) = explode('-', $today);

        if($type == 'lastMonth')
        {
            $lastMonthLastDay = date('Y-m-d', strtotime("last day of -1 month"));
            list($year, $month, $day) = explode('-', $lastMonthLastDay);
        }

        $date = $type == 'lastMonth' ? $lastMonthLastDay : $today;

        $usageReport = new stdClass();
        $usageReport->year  = $year;
        $usageReport->month = $month;
        $usageReport->activeAccounts       = $this->report->getActiveAccounts($date);
        $usageReport->accountDailyActivity = $this->report->getAccountDailyActivity($date);

        $this->report->getBasicReport($date, $usageReport);
        $this->report->getProjectReport($date, $usageReport);

        $this->dao->replace(TABLE_USAGEREPORT)->data($usageReport)->exec();

        if($needBack == 'yes') return print(js::locate(inLink('usagereport')));
    }
}
